<?
include_once("valida_sessao.php");
protegePagina(); 
include_once("adm_head.php");

include_once("config.php");
include_once("utf8.php");

$id = stripslashes($_GET['id']);
$sql = "SELECT * FROM ctd_paginas INNER JOIN ctd_templates ON t_id = p_t_id WHERE p_id = $id";
$consulta = mysqli_query($conn, $sql);
$registro = mysqli_fetch_array($consulta);

$caminho = "../".$registro['p_arquivo'];

$conteudo = stripslashes(str_replace("´","'",$registro['t_texto']));
if($registro['p_img']){
	$conteudo = str_replace("<#img#>","<img src=".$registro['p_img']." alt='".$registro['p_nome']."' />",$conteudo);
}else{
	$conteudo = str_replace("<#img#>","<img src='imx/img-solucoes.jpg' alt='".$registro['p_nome']."' />",$conteudo);
}
$conteudo = str_replace("<#titulo#>",$registro['p_nome'],$conteudo);
$conteudo = str_replace("<#sub-titulo#>",$registro['p_titulo'],$conteudo);
$conteudo = stripslashes(str_replace("<#texto#>",$registro['p_texto'],$conteudo));

$fp = fopen($caminho, "w");
$res = fwrite($fp, $conteudo , strlen($conteudo));
fclose($fp);

echo "<div id='conteudo'>";

if($res){
	$local = "ctd_pagina_adm.php?id=".$id."&alterado=1";
   	echo "<script>location.href='$local';</script>";	
}else{
	$local = "ctd_pagina_adm.php?id=".$id."&alterado=0";
   	echo "<script>location.href='$local';</script>";
}

echo "</div>";

include_once("adm_foot.php");
?>